Name:           ocaml-cmdliner
Version:        0.9.1
Release:        %mkrel 2
Summary:        Declarative definition of command line interfaces
License:        BSD3
Group:          Development/Other
URL:            http://erratique.ch/software/cmdliner
Source0:        http://erratique.ch/software/cmdliner/releases/cmdliner-%{version}.tbz
Patch0:         cmdliner-0.9.1-groff-P-c.patch
Patch1:         cmdliner-0.9.1-comment-groff-P-c.patch
BuildRequires:  ocaml-findlib

%description
Cmdliner is an OCaml module for the declarative definition of command line
interfaces.

It provides a simple and compositional mechanism to convert command line
arguments to OCaml values and pass them to your functions. The module
automatically handles syntax errors, help messages and UNIX man page
generation. It supports programs with single or multiple commands (like
darcs or git) and respects most of the POSIX and GNU conventions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cmdliner-%{version}
%patch0 -p 1
%patch1 -p 0

%build
ocaml setup.ml -configure
ocaml setup.ml -build 

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/cmdliner
ocaml setup.ml -install

%files
%doc README CHANGES
%dir %{_libdir}/ocaml/cmdliner
%{_libdir}/ocaml/cmdliner/META
%{_libdir}/ocaml/cmdliner/*.cma
%{_libdir}/ocaml/cmdliner/*.cmi

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/cmdliner/*.a
%{_libdir}/ocaml/cmdliner/*.cmxa
%{_libdir}/ocaml/cmdliner/*.cmx
%{_libdir}/ocaml/cmdliner/*.mli


%changelog

* Mon Apr 16 2012 blue_prawn <blue_prawn> 0.9.1-2.mga2
+ Revision: 231093
- fixed how to invoke groff, thanks to Daniel Buenzli

* Sat Apr 07 2012 blue_prawn <blue_prawn> 0.9.1-1.mga2
+ Revision: 229421
- imported package ocaml-cmdliner

